package cn.edu.pku.booking.exceptioncontrol;

import org.jboss.solder.logging.Logger;
import org.jboss.solder.exception.control.CaughtException;
import org.jboss.solder.exception.control.Handles;
import org.jboss.solder.exception.control.HandlesExceptions;

@HandlesExceptions
public class GeneralExceptionHandler {

    public void printExceptionMessage(@Handles CaughtException<Throwable> event, Logger log) {
        log.info("Exception logged GeneralExceptinoHandler: " + event.getException().getMessage());
        event.rethrow();
    }
}
